Skip to main content
GET
/
workflows
/
v1
/
workflow-webhooks
/
events
/
{event_id}
/
attempts
List Workflow Webhook Attempts
curl --request GET \
  --url https://api-qa.interactly.ai/workflows/v1/workflow-webhooks/events/{event_id}/attempts \
  --header 'Authorization: Bearer <token>'
{
  "attempts": [
    {
      "event_id": "<string>",
      "subscription_id": "<string>",
      "attempt_number": 2,
      "action": "workflow_created",
      "request_url": "<string>",
      "team_id": "<string>",
      "created_by": "<string>",
      "updated_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "_id": "5eb7cf5a86d9755df3a6c593",
      "success": false,
      "response_status_code": 123,
      "response_body": "<string>",
      "error_message": "<string>",
      "latency_ms": 123
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

event_id
string
required

Query Parameters

size
integer
default:300

Number of items per page

Required range: x >= 1
page
integer
default:1

Page number

Required range: x >= 1
search
string | null

Search keywords

start
string<date-time> | null

Filter by start time (ISO 8601 format)

end
string<date-time> | null

Filter by end time (ISO 8601 format)

Response

Successful Response

attempts
WorkflowWebhookDeliveryAttemptModel · object[]
required
total
integer
required